
<ng-container *ngIf="dataFetched; else fetchingData">

  <div *ngIf="file; else notFound" class="download-block" >
    <h1>File to download:</h1>
    <img src="../../../../assets/icons/downloadFile.svg" alt="download file">
    <h2>{{file.name}}</h2>
    <p>{{file.fileSize | convertBytes}}</p>
    <button mat-flat-button color="primary" class="download-btn" (click)="download()">Download</button>
  </div>
  <ng-template #notFound>
    <div class="download-block">
      <h1>File not found</h1>
    </div>
  </ng-template>

</ng-container>

<ng-template #fetchingData>
  <div class="spinner">
    <mat-spinner diameter="50"></mat-spinner>
  </div>
</ng-template>
